Bug 882681 - [abrt] empathy-3.6.2-1.fc18: _dbus_list_unlink: Process /usr/libexec/empathy-chat was killed by signal 11 (SIGSEGV)
[abrt] empathy-3.6.2-1.fc18: _dbus_list_unlink: Process /usr/libexec/empathy-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:5273ce91b89032ea10d9133f685...
:
: 865295 877674 883587 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-02 11:22 EST by Štefan Gurský
Modified: 2014-02-05 17:54 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:54:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (40.23 KB, text/plain)
2012-12-02 11:22 EST, Štefan Gurský
no flags Details
File: cgroup (129 bytes, text/plain)
2012-12-02 11:22 EST, Štefan Gurský
no flags Details
File: core_backtrace (1.91 KB, text/plain)
2012-12-02 11:22 EST, Štefan Gurský
no flags Details
File: dso_list (20.12 KB, text/plain)
2012-12-02 11:22 EST, Štefan Gurský
no flags Details
File: environ (1.09 KB, text/plain)
2012-12-02 11:22 EST, Štefan Gurský
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-02 11:22 EST, Štefan Gurský
no flags Details
File: maps (98.66 KB, text/plain)
2012-12-02 11:22 EST, Štefan Gurský
no flags Details
File: open_fds (743 bytes, text/plain)
2012-12-02 11:22 EST, Štefan Gurský
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2012-12-02 11:22 EST, Štefan Gurský
no flags Details
File: smolt_data (2.97 KB, text/plain)
2012-12-02 11:22 EST, Štefan Gurský
no flags Details
File: var_log_messages (310 bytes, text/plain)
2012-12-02 11:22 EST, Štefan Gurský
no flags Details

  None (edit)
Description Štefan Gurský 2012-12-02 11:22:27 EST
Version-Release number of selected component:
empathy-3.6.2-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: _dbus_list_unlink
executable:     /usr/libexec/empathy-chat
kernel:         3.6.7-5.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _dbus_list_unlink at dbus-list.c:499
 #1 _dbus_list_pop_first_link at dbus-list.c:625
 #2 _dbus_message_loader_pop_message_link at dbus-message.c:4316
 #3 _dbus_transport_queue_messages at dbus-transport.c:1133
 #4 do_reading at dbus-transport-socket.c:851
 #6 socket_handle_watch at dbus-transport-socket.c:932
 #7 _dbus_transport_handle_watch at dbus-transport.c:885
 #8 _dbus_connection_handle_watch at dbus-connection.c:1515
 #9 dbus_watch_handle at dbus-watch.c:700
 #10 io_handler_dispatch at dbus-gmain.c:221
Comment 1 Štefan Gurský 2012-12-02 11:22:31 EST
Created attachment 656113 [details]
File: backtrace
Comment 2 Štefan Gurský 2012-12-02 11:22:33 EST
Created attachment 656114 [details]
File: cgroup
Comment 3 Štefan Gurský 2012-12-02 11:22:36 EST
Created attachment 656115 [details]
File: core_backtrace
Comment 4 Štefan Gurský 2012-12-02 11:22:38 EST
Created attachment 656116 [details]
File: dso_list
Comment 5 Štefan Gurský 2012-12-02 11:22:41 EST
Created attachment 656117 [details]
File: environ
Comment 6 Štefan Gurský 2012-12-02 11:22:43 EST
Created attachment 656118 [details]
File: limits
Comment 7 Štefan Gurský 2012-12-02 11:22:47 EST
Created attachment 656119 [details]
File: maps
Comment 8 Štefan Gurský 2012-12-02 11:22:49 EST
Created attachment 656120 [details]
File: open_fds
Comment 9 Štefan Gurský 2012-12-02 11:22:52 EST
Created attachment 656121 [details]
File: proc_pid_status
Comment 10 Štefan Gurský 2012-12-02 11:22:54 EST
Created attachment 656122 [details]
File: smolt_data
Comment 11 Štefan Gurský 2012-12-02 11:22:59 EST
Created attachment 656123 [details]
File: var_log_messages
Comment 12 Brian Pepple 2013-01-19 15:58:23 EST
*** Bug 877674 has been marked as a duplicate of this bug. ***
Comment 13 Brian Pepple 2013-01-19 15:58:30 EST
*** Bug 883587 has been marked as a duplicate of this bug. ***
Comment 14 Brian Pepple 2013-01-19 15:58:38 EST
*** Bug 865295 has been marked as a duplicate of this bug. ***
Comment 15 Brian Pepple 2013-01-19 16:05:49 EST
Are you still seeing this bug with empathy-3.6.3-1?
Comment 16 Jan Sedlák 2013-01-24 12:12:32 EST
Tried to open second conversation in Empathy - it couldn't handle tabs.

backtrace_rating: 4
Package: empathy-3.6.3-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 17 Simon McVittie 2013-05-08 10:17:25 EDT
Thread 1 (Thread 0x7fd78861e9c0 (LWP 16891)):
#0  0x0000003375227ed7 in _dbus_list_unlink (list=list@entry=0x1877380, link=link@entry=0x1876e68) at dbus-list.c:499

A crash here is often a symptom of threading not having been initialized. I wonder whether another thread has touched libdbus without anyone calling dbus_threads_init_default()?

The threads are:

* 9: GDBus. OK.
* 8: PulseAudio. Does this use libdbus?
* 7: telepathy-logger. Does this use libdbus in non-main threads?
* 6: d-conf. OK.
* 5: Evolution source registry. Does this use libdbus in non-main threads?
* 2, 3, 4: JavaScript. No idea tbh.
* 1: main thread

The current state-of-the-art in making libdbus thread-safe is to call dbus_threads_init_default() from the main thread before you do anything else, preferably early in main(). Yes I know that's a design flaw; it's one we've had for years.

I have a patch-set to make libdbus thread-safe by default, which is clearly the correct long-term solution (but was quite a subtle thing to achieve). Reviewers extremely welcome, especially if they are D-Bus committers (e.g. Colin Walters, David Zeuthen, Lennart Poettering); but criticisms or "I am not a maintainer but it looks good to me" from any experienced developer are very welcome. See <https://bugs.freedesktop.org/show_bug.cgi?id=54972>.

To attempt a short-term fix, please try inserting

    if (!dbus_threads_init_default ())
      g_error ("fatal error: not enough memory to initialize threads");

near the beginning of Empathy's main(). You will need to depend on libdbus (dbus-1) if you don't already.
Comment 18 Fedora End Of Life 2013-12-21 10:13:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2014-02-05 17:54:04 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.